For the latest news and information visit The GNU Crypto project

## gnu.crypto.jce.spec
Class UMac32ParameterSpec

    java.lang.Object
      |
      +--gnu.crypto.jce.spec.UMac32ParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class UMac32ParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class represents the parameters for the UMAC-32 message authentication code algorithm. In practice this means the Nonce material used to initialize the algorithm.

Field Summary
`protected byte[]` `nonce` The Nonce material.

Constructor Summary
`UMac32ParameterSpec(byte[] nonce)` Create a new parameter instance.

Method Summary
`byte[]` `getNonce()` Return the nonce material.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nonce

    protected byte[] nonce

  The Nonce material.

Constructor Detail

### UMac32ParameterSpec

    public UMac32ParameterSpec(byte[] nonce)

  Create a new parameter instance.

Parameters:
  `nonce` - The nonce material.

Method Detail

### getNonce

    public byte[] getNonce()

  Return the nonce material.

  Returns:
    The nonce material.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.